Bug 228915 - rpm reports MD5 sum mismatch when installing firefox-1.5.0.9-3
rpm reports MD5 sum mismatch when installing firefox-1.5.0.9-3
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-15 15:51 EST by Joe Bayes
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-27 11:58:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Bayes 2007-02-15 15:51:05 EST
Yum gave me an error when I used it to update firefox, so I downloaded the
package directly from
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/6/i386/ and
tried to install it with rpm:

spoo:/home/jbayes/torrents# rpm -Uvh firefox-1.5.0.9-3.fc6.i386.rpm 
Preparing...                ########################################### [100%]
   1:firefox                ########################################### [100%]
error: unpacking of archive failed on file
/usr/lib/firefox-1.5.0.9/components/libsearchservice.so;45d4c695: cpio: MD5 sum
mismatch
spoo:/home/jbayes/torrents# 
rpm -q firefox rpm yum
firefox-1.5.0.9-1.fc6
rpm-4.4.2-32
yum-3.0.3-1.fc6
spoo:/home/jbayes/torrents#
Comment 1 Matěj Cepl 2007-02-15 18:37:42 EST
First of all, there is already newer release of firefox available for FC6
Updates. Could you reproduce this bug with the newer versions?

Second, just to be sure, are you sure that you haven't corrupted package? Could
you try
curl -LO
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/6/i386/firefox-1.5.0.9-1.fc6.i386.rpm
and then install the package once more, please?
Comment 2 Joe Bayes 2007-02-17 04:39:02 EST
I'm willing to try to reproduce the problem with a newer version, but I'm not
sure where to get it. The newest version that I see in
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/6/i386/ is
version 1.5.0.9-3, which is the one giving me problems. Could you give me a URL? 

I'm not sure what you want me to do in your second part, as it is version
1.5.0.9-3 that I am unable to install, not version 1.5.0.9-1. I did re-download
version 1.5.0.9-1 as you requested, and have re-installed it, but a subsequent
attempt to upgrade to 1.5.0.9-3 gives me a similar MD5sum mismatch error:

spoo:/home/jbayes/ff# curl -LO
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/6/i386/firefox-1.5.0.9-1.fc6.i386.rpm
  [curl output snipped]
spoo:/home/jbayes/ff# rpm -Uvh --replacepkgs firefox-1.5.0.9-1.fc6.i386.rpm    
Preparing...                ########################################### [100%]
   1:firefox                ########################################### [100%]
spoo:/home/jbayes/ff# rpm -Uvh ../torrents/firefox-1.5.0.9-3.fc6.i386.rpm 
Preparing...                ########################################### [100%]
   1:firefox                ########################################### [100%]
error: unpacking of archive failed on file
/usr/lib/firefox-1.5.0.9/components/libsearchservice.so;45d6c8e8: cpio: MD5 sum
mismatch
spoo:/home/jbayes/ff#

I checked my copy of 1.5.0.9-3 also:

spoo:/home/jbayes/ff# curl -LO
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/6/i386/firefox-1.5.0.9-3.fc6.i386.rpm
  [snip]
spoo:/home/jbayes/ff# rpm -Uvh firefox-1.5.0.9-3.fc6.i386.rpm 
Preparing...                ########################################### [100%]
   1:firefox                ########################################### [100%]
error: unpacking of archive failed on file
/usr/lib/firefox-1.5.0.9/components/libsearchservice.so;45d6cbbd: cpio: MD5 sum
mismatch
spoo:/home/jbayes/ff# md5sum firefox-1.5.0.9-1.fc6.i386.rpm
firefox-1.5.0.9-3.fc6.i386.rpm 
e022e8ed5b27ee2a297ac7d0654c7a9a  firefox-1.5.0.9-1.fc6.i386.rpm
c1a703baffce31371ce91d2b830220d7  firefox-1.5.0.9-3.fc6.i386.rpm
spoo:/home/jbayes/ff# 
Comment 3 Matěj Cepl 2007-02-27 11:58:39 EST
I really cannot reproduce it here:
[matej@hubmaier ~]\$ LANG=C rpm -Uvh --test --nodeps firefox-1.5.0.9-3.fc6.i386.rpm
Preparing...                ########################################### [100%]
        package firefox-1.5.0.9-10.el5 (which is newer than
firefox-1.5.0.9-3.fc6) is already installed
[matej@hubmaier ~]\$ md5sum firefox-1.5.0.9-3.fc6.i386.rpm 
1284459a13f9898487f06ee925876b2c  firefox-1.5.0.9-3.fc6.i386.rpm
[matej@hubmaier ~]\$

I think, it is corrupted download, because md5sum doesn't match (switch off
http_proxy?). As things are, I cannot do otherwise that CLOSE/WORKSFORME. If you
have any more information on this, please, feel free to reopen.

Note You need to log in before you can comment on or make changes to this bug.